io.undertow.protocols.http2

## Class ConnectionErrorException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - io.undertow.protocols.http2.ConnectionErrorException

All Implemented Interfaces:
  Serializable

    public class ConnectionErrorException
    extends IOException

Exception that represents a connection error

Author:
  Stuart Douglas
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ConnectionErrorException(int code)`
`ConnectionErrorException(int code, String message)`
`ConnectionErrorException(int code, Throwable cause)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getCode()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ConnectionErrorException

    public ConnectionErrorException(int code)

#### ConnectionErrorException

    public ConnectionErrorException(int code,
                                    String message)

#### ConnectionErrorException

    public ConnectionErrorException(int code,
                                    Throwable cause)

### Method Detail

#### getCode

    public int getCode()